#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Test
%define	pnam	Base
Summary:	Test::Base - A Data Driven Testing Framework
Summary(pl.UTF-8):	Test::Base - środowisko testów opartych na danych
Name:		perl-Test-Base
Version:	0.89
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	682b8d527ccea15d4bfe6214ded8f53c
URL:		http://search.cpan.org/dist/Test-Base/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.42
BuildRequires:	perl-Spiffy >= 0.40
BuildRequires:	perl-Test-Deep
BuildRequires:	perl-Test-Tester
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Test::Base - A Data Driven Testing Framework.

%description -l pl.UTF-8
Test::Base - środowisko testów opartych na danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Test/Base.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Test/Base.pm
%{perl_vendorlib}/Test/Base
%{_mandir}/man3/Test::Base*.3pm*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Test-Base.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 83a62dd
- up to 0.89

* Sat Jan 10 2015 Jakub Bogusz <qboosh@pld-linux.org> 8b259f5
- pl fix

* Mon Sep 15 2014 Szymon Siwek <sls@pld-linux.org> 58d8efb
- rel. 1

* Mon Sep 15 2014 Szymon Siwek <sls@pld-linux.org> 364f73c
- rm 'pod' file

* Mon Sep 15 2014 Szymon Siwek <sls@pld-linux.org> d684096
- updated files section

* Mon Sep 15 2014 Szymon Siwek <sls@pld-linux.org> a177e86
- updated BR for tests

* Mon Sep 15 2014 Szymon Siwek <sls@pld-linux.org> 4473e55
- ver. 0.88 (NFY)

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> c6d5bc5
- up to 0.60

* Fri Feb 19 2010 Elan Ruusamäe <glen@pld-linux.org> 8c59b90
- release 2

* Wed Aug 26 2009 amateja <amateja@pld-linux.org> 190de06
- initial

